<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:35 CEST 2019 -->
<title>JnaService (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JnaService (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaService.html" target="_top">Frames</a></li>
<li><a href="JnaService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.jna</div>
<h2 title="Class JnaService" class="title">Class JnaService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbAttachment</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbService</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.jna.JnaService</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>, <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">JnaService</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&gt;
implements <a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a></pre>
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng"><code>FbService</code></a> for native client access.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#STATUS_VECTOR_SIZE">STATUS_VECTOR_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#connection">connection</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#JnaService-org.firebirdsql.gds.ng.jna.JnaServiceConnection-">JnaService</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#afterAttachActions--">afterAttachActions</a></span>()</code>
<div class="block">Additional tasks to execute directly after attach operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#attach--">attach</a></span>()</code>
<div class="block">Attach to the attachment type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#checkConnected--">checkConnected</a></span>()</code>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#createServiceParameterBuffer--">createServiceParameterBuffer</a></span>()</code>
<div class="block">Creates an empty <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#createServiceRequestBuffer--">createServiceRequestBuffer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#finalize--">finalize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>com.sun.jna.ptr.IntByReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#getJnaHandle--">getJnaHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">getServiceInfo</a></span>(<a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
              <a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
              int&nbsp;maxBufferLength)</code>
<div class="block">Performs a service info request (service query.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#internalDetach--">internalDetach</a></span>()</code>
<div class="block">Actual implementation of service detach.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#processStatusVector-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.gds.ng.WarningMessageCallback-">processStatusVector</a></span>(<a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
                   <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningMessageCallback)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html#startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">startServiceAction</a></span>(<a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer)</code>
<div class="block">Starts a service action.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbService">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#addServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">addServiceListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getDescribeServiceRequestBuffer--">getDescribeServiceRequestBuffer</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-org.firebirdsql.gds.ng.InfoProcessor-">getServiceInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceInformationProcessor--">getServiceInformationProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#getServiceWarningCallback--">getServiceWarningCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#removeServiceListener-org.firebirdsql.gds.ng.listeners.ServiceListener-">removeServiceListener</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbAttachment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#createDbCryptCallback--">createDbCryptCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getServerVersionInformation--">getServerVersionInformation</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#isAttached--">isAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#safelyDetach--">safelyDetach</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setAttached--">setAttached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setDetached--">setDetached</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#setServerVersion-java.lang.String...-">setServerVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbAttachment">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getDatatypeCoder--">getDatatypeCoder</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getServerVersion--">getServerVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#isAttached--">isAttached</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="STATUS_VECTOR_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATUS_VECTOR_SIZE</h4>
<pre>public static final&nbsp;int STATUS_VECTOR_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.firebirdsql.gds.ng.jna.JnaService.STATUS_VECTOR_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JnaService-org.firebirdsql.gds.ng.jna.JnaServiceConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JnaService</h4>
<pre>public&nbsp;JnaService(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&nbsp;connection)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createServiceParameterBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceParameterBuffer</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createServiceParameterBuffer()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#createServiceParameterBuffer--">FbService</a></code></span></div>
<div class="block">Creates an empty <a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.
 <p>
 Attach expects a service parameter buffer to have the version as the first item. This needs to be added
 explicitly.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#createServiceParameterBuffer--">createServiceParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Service</dd>
</dl>
</li>
</ul>
<a name="createServiceRequestBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceRequestBuffer</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;createServiceRequestBuffer()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#createServiceRequestBuffer--">createServiceRequestBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An empty service request buffer</dd>
</dl>
</li>
</ul>
<a name="checkConnected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkConnected</h4>
<pre>protected&nbsp;void&nbsp;checkConnected()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">AbstractFbAttachment</a></code></span></div>
<div class="block">Checks if the attachment is connected, and throws a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> if it isn't connected.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html#checkConnected--">checkConnected</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServiceInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getServiceInfo(<a href="../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;serviceParameterBuffer,
                             <a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer,
                             int&nbsp;maxBufferLength)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">FbService</a></code></span></div>
<div class="block">Performs a service info request (service query.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#getServiceInfo-org.firebirdsql.gds.ServiceParameterBuffer-org.firebirdsql.gds.ServiceRequestBuffer-int-">getServiceInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceParameterBuffer</code> - Service parameters (can be null)</dd>
<dd><code>serviceRequestBuffer</code> - Service request info</dd>
<dd><code>maxBufferLength</code> - Maximum response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The response buffer (note: length is the actual length of the response, not <code>maxBufferLength</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors retrieving the information.</dd>
</dl>
</li>
</ul>
<a name="startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startServiceAction</h4>
<pre>public&nbsp;void&nbsp;startServiceAction(<a href="../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;serviceRequestBuffer)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">FbService</a></code></span></div>
<div class="block">Starts a service action.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#startServiceAction-org.firebirdsql.gds.ServiceRequestBuffer-">startServiceAction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceRequestBuffer</code> - Service action request details</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors starting the service action.</dd>
</dl>
</li>
</ul>
<a name="attach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attach</h4>
<pre>public&nbsp;void&nbsp;attach()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">FbAttachment</a></code></span></div>
<div class="block">Attach to the attachment type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#attach--">attach</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="afterAttachActions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterAttachActions</h4>
<pre>protected&nbsp;void&nbsp;afterAttachActions()
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Additional tasks to execute directly after attach operation.
 <p>
 Implementation retrieves service information like server version.
 </p></div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors reading or writing database information.</dd>
</dl>
</li>
</ul>
<a name="internalDetach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>internalDetach</h4>
<pre>protected&nbsp;void&nbsp;internalDetach()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#internalDetach--">AbstractFbService</a></code></span></div>
<div class="block">Actual implementation of service detach.
 <p>
 Implementations of this method should only be called from <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#close--"><code>AbstractFbService.close()</code></a>, and should <strong>not</strong>
 notify service listeners of the service <a href="../../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html#detaching-org.firebirdsql.gds.ng.FbService-"><code>ServiceListener.detaching(FbService)</code></a> and
 <a href="../../../../../org/firebirdsql/gds/ng/listeners/ServiceListener.html#detached-org.firebirdsql.gds.ng.FbService-"><code>ServiceListener.detached(FbService)</code></a> events.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html#internalDetach--">internalDetach</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna">JnaServiceConnection</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>public&nbsp;int&nbsp;getHandle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The attachment handle value</dd>
</dl>
</li>
</ul>
<a name="getJnaHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJnaHandle</h4>
<pre>public&nbsp;com.sun.jna.ptr.IntByReference&nbsp;getJnaHandle()</pre>
</li>
</ul>
<a name="processStatusVector-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.gds.ng.WarningMessageCallback-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processStatusVector</h4>
<pre>public&nbsp;void&nbsp;processStatusVector(<a href="../../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
                                <a href="../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;warningMessageCallback)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="finalize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre>protected&nbsp;void&nbsp;finalize()
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaService.html" target="_top">Frames</a></li>
<li><a href="JnaService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
